summaryrefslogtreecommitdiffstats
path: root/ubuntu/maverick/tdebase
diff options
context:
space:
mode:
authorSlávek Banko <slavek.banko@axis.cz>2015-03-27 02:26:44 +0100
committerSlávek Banko <slavek.banko@axis.cz>2015-03-27 02:26:44 +0100
commitae112f4eb26973595ecc8e017b9470d24c2c5476 (patch)
tree7e9dc00a4fc93bdbf8a63690f9bd6e6f76bfe9a6 /ubuntu/maverick/tdebase
parent7b7a5049a9808f028273a876d8d2f6f11d4ada9c (diff)
downloadtde-packaging-ae112f4eb26973595ecc8e017b9470d24c2c5476.tar.gz
tde-packaging-ae112f4eb26973595ecc8e017b9470d24c2c5476.zip
Force ldconfig due to tdeinit library on Debian and Ubuntu
Signed-off-by: Slávek Banko <slavek.banko@axis.cz>
Diffstat (limited to 'ubuntu/maverick/tdebase')
-rw-r--r--ubuntu/maverick/tdebase/debian/kdesktop-trinity.postinst13
-rw-r--r--ubuntu/maverick/tdebase/debian/khelpcenter-trinity.postinst13
-rw-r--r--ubuntu/maverick/tdebase/debian/klipper-trinity.postinst13
-rw-r--r--ubuntu/maverick/tdebase/debian/kmenuedit-trinity.postinst13
-rw-r--r--ubuntu/maverick/tdebase/debian/konsole-trinity.postinst3
-rw-r--r--ubuntu/maverick/tdebase/debian/ksmserver-trinity.postinst4
-rw-r--r--ubuntu/maverick/tdebase/debian/tdeprint-trinity.postinst13
7 files changed, 71 insertions, 1 deletions
diff --git a/ubuntu/maverick/tdebase/debian/kdesktop-trinity.postinst b/ubuntu/maverick/tdebase/debian/kdesktop-trinity.postinst
new file mode 100644
index 000000000..0b3eb0b52
--- /dev/null
+++ b/ubuntu/maverick/tdebase/debian/kdesktop-trinity.postinst
@@ -0,0 +1,13 @@
+#!/bin/sh
+# postinst script for kdesktop-trinity
+
+set -e
+
+if [ "$1" = "configure" ] ; then
+ # force ldconfig due to tdeinit library
+ ldconfig
+fi
+
+#DEBHELPER#
+
+exit 0
diff --git a/ubuntu/maverick/tdebase/debian/khelpcenter-trinity.postinst b/ubuntu/maverick/tdebase/debian/khelpcenter-trinity.postinst
new file mode 100644
index 000000000..b6b0656b7
--- /dev/null
+++ b/ubuntu/maverick/tdebase/debian/khelpcenter-trinity.postinst
@@ -0,0 +1,13 @@
+#!/bin/sh
+# postinst script for khelpcenter-trinity
+
+set -e
+
+if [ "$1" = "configure" ] ; then
+ # force ldconfig due to tdeinit library
+ ldconfig
+fi
+
+#DEBHELPER#
+
+exit 0
diff --git a/ubuntu/maverick/tdebase/debian/klipper-trinity.postinst b/ubuntu/maverick/tdebase/debian/klipper-trinity.postinst
new file mode 100644
index 000000000..b2c57de01
--- /dev/null
+++ b/ubuntu/maverick/tdebase/debian/klipper-trinity.postinst
@@ -0,0 +1,13 @@
+#!/bin/sh
+# postinst script for klipper-trinity
+
+set -e
+
+if [ "$1" = "configure" ] ; then
+ # force ldconfig due to tdeinit library
+ ldconfig
+fi
+
+#DEBHELPER#
+
+exit 0
diff --git a/ubuntu/maverick/tdebase/debian/kmenuedit-trinity.postinst b/ubuntu/maverick/tdebase/debian/kmenuedit-trinity.postinst
new file mode 100644
index 000000000..b3a79cc14
--- /dev/null
+++ b/ubuntu/maverick/tdebase/debian/kmenuedit-trinity.postinst
@@ -0,0 +1,13 @@
+#!/bin/sh
+# postinst script for kmenuedit-trinity
+
+set -e
+
+if [ "$1" = "configure" ] ; then
+ # force ldconfig due to tdeinit library
+ ldconfig
+fi
+
+#DEBHELPER#
+
+exit 0
diff --git a/ubuntu/maverick/tdebase/debian/konsole-trinity.postinst b/ubuntu/maverick/tdebase/debian/konsole-trinity.postinst
index 72cf40e83..d7225354d 100644
--- a/ubuntu/maverick/tdebase/debian/konsole-trinity.postinst
+++ b/ubuntu/maverick/tdebase/debian/konsole-trinity.postinst
@@ -21,6 +21,9 @@ case "$1" in
configure)
update-alternatives --install /usr/bin/x-terminal-emulator x-terminal-emulator /opt/trinity/bin/konsole 35 \
--slave /opt/trinity/share/man/man1/x-terminal-emulator.1.gz x-terminal-emulator.1.gz /opt/trinity/share/man/man1/konsole-trinity.1.gz
+
+ # force ldconfig due to tdeinit library
+ ldconfig
;;
abort-upgrade|abort-remove|abort-deconfigure)
diff --git a/ubuntu/maverick/tdebase/debian/ksmserver-trinity.postinst b/ubuntu/maverick/tdebase/debian/ksmserver-trinity.postinst
index f5d73b934..eee248305 100644
--- a/ubuntu/maverick/tdebase/debian/ksmserver-trinity.postinst
+++ b/ubuntu/maverick/tdebase/debian/ksmserver-trinity.postinst
@@ -23,7 +23,9 @@ case "$1" in
x-session-manager /opt/trinity/bin/starttde 40 \
--slave /opt/trinity/share/man/man1/x-session-manager.1.gz \
x-session-manager.1.gz "/opt/trinity/share/man/man1/starttde-trinity.1.gz"
-
+
+ # force ldconfig due to tdeinit library
+ ldconfig
;;
abort-upgrade|abort-remove|abort-deconfigure)
diff --git a/ubuntu/maverick/tdebase/debian/tdeprint-trinity.postinst b/ubuntu/maverick/tdebase/debian/tdeprint-trinity.postinst
new file mode 100644
index 000000000..c812a9390
--- /dev/null
+++ b/ubuntu/maverick/tdebase/debian/tdeprint-trinity.postinst
@@ -0,0 +1,13 @@
+#!/bin/sh
+# postinst script for tdeprint-trinity
+
+set -e
+
+if [ "$1" = "configure" ] ; then
+ # force ldconfig due to tdeinit library
+ ldconfig
+fi
+
+#DEBHELPER#
+
+exit 0